Subject: bug#73415: 30.0.91; Emacs 30 build fails on Ubuntu 24.04

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Sep 2024 08:12:24 +0300

> From: Mark Grosen <[email-masked]>
> Date: Sat, 21 Sep 2024 14:52:45 -0700
> 
> Building Emacs 30.0.91 and later on Ubuntu 24.04 fails with a
> "Pure Lisp overflowed" error. To workaround this issue, I used
> the following build steps:
> 
> make bootstrap MYCPPFLAGS='-DSYSTEM_PURESIZE_EXTRA=200000'
> ./configure
> make MYCPPFLAGS='-DSYSTEM_PURESIZE_EXTRA=400000'
> 
> Note that the 'bootstrap' build required a smaller extra size
> on my system.
> 
> With these changes, the build succeeded and Emacs appears to
> function normally. This was required on the current emacs-30
> branch.

Thanks, but 400KB of pure space is too much to just increase the size
without understanding why this is needed.  Did you really need 400KB,
or would a smaller number do?  If the latter, what is the smallest
addition that avoids the overflow in your case?

Also, please answer the following questions:

  . what was the absolute file name of the top-level directory where
    you unpacked the pretest tarball (assuming that this happens with
    building the pretest, not a Git checkout)?
  . what were the commands you used to build?
  . does the problem go away if you build a "normal" Emacs, i.e. not a
    PGTK build?